/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.appkit.NSKeyValueBinding_bindings;

import dstep.objc.objc;

extern (C)
{
	extern
	{
		package id NSObservedObjectKey;
		package id NSObservedKeyPathKey;
		package id NSOptionsKey;
		package id NSAlignmentBinding;
		package id NSAlternateImageBinding;
		package id NSAlternateTitleBinding;
		package id NSAnimateBinding;
		package id NSAnimationDelayBinding;
		package id NSArgumentBinding;
		package id NSAttributedStringBinding;
		package id NSContentArrayBinding;
		package id NSContentArrayForMultipleSelectionBinding;
		package id NSContentBinding;
		package id NSContentDictionaryBinding;
		package id NSContentHeightBinding;
		package id NSContentObjectBinding;
		package id NSContentObjectsBinding;
		package id NSContentSetBinding;
		package id NSContentValuesBinding;
		package id NSContentWidthBinding;
		package id NSCriticalValueBinding;
		package id NSDataBinding;
		package id NSDisplayPatternTitleBinding;
		package id NSDisplayPatternValueBinding;
		package id NSDocumentEditedBinding;
		package id NSDoubleClickArgumentBinding;
		package id NSDoubleClickTargetBinding;
		package id NSEditableBinding;
		package id NSEnabledBinding;
		package id NSExcludedKeysBinding;
		package id NSFilterPredicateBinding;
		package id NSFontBinding;
		package id NSFontBoldBinding;
		package id NSFontFamilyNameBinding;
		package id NSFontItalicBinding;
		package id NSFontNameBinding;
		package id NSFontSizeBinding;
		package id NSHeaderTitleBinding;
		package id NSHiddenBinding;
		package id NSImageBinding;
		package id NSIncludedKeysBinding;
		package id NSInitialKeyBinding;
		package id NSInitialValueBinding;
		package id NSIsIndeterminateBinding;
		package id NSLabelBinding;
		package id NSLocalizedKeyDictionaryBinding;
		package id NSManagedObjectContextBinding;
		package id NSMaximumRecentsBinding;
		package id NSMaxValueBinding;
		package id NSMaxWidthBinding;
		package id NSMinValueBinding;
		package id NSMinWidthBinding;
		package id NSMixedStateImageBinding;
		package id NSOffStateImageBinding;
		package id NSOnStateImageBinding;
		package id NSPredicateBinding;
		package id NSRecentSearchesBinding;
		package id NSRepresentedFilenameBinding;
		package id NSRowHeightBinding;
		package id NSSelectedIdentifierBinding;
		package id NSSelectedIndexBinding;
		package id NSSelectedLabelBinding;
		package id NSSelectedObjectBinding;
		package id NSSelectedObjectsBinding;
		package id NSSelectedTagBinding;
		package id NSSelectedValueBinding;
		package id NSSelectedValuesBinding;
		package id NSSelectionIndexesBinding;
		package id NSSelectionIndexPathsBinding;
		package id NSSortDescriptorsBinding;
		package id NSTargetBinding;
		package id NSTextColorBinding;
		package id NSTitleBinding;
		package id NSToolTipBinding;
		package id NSTransparentBinding;
		package id NSValueBinding;
		package id NSValuePathBinding;
		package id NSValueURLBinding;
		package id NSVisibleBinding;
		package id NSWarningValueBinding;
		package id NSWidthBinding;
		package id NSAllowsEditingMultipleValuesSelectionBindingOption;
		package id NSAllowsNullArgumentBindingOption;
		package id NSAlwaysPresentsApplicationModalAlertsBindingOption;
		package id NSConditionallySetsEditableBindingOption;
		package id NSConditionallySetsEnabledBindingOption;
		package id NSConditionallySetsHiddenBindingOption;
		package id NSContinuouslyUpdatesValueBindingOption;
		package id NSCreatesSortDescriptorBindingOption;
		package id NSDeletesObjectsOnRemoveBindingsOption;
		package id NSDisplayNameBindingOption;
		package id NSDisplayPatternBindingOption;
		package id NSContentPlacementTagBindingOption;
		package id NSHandlesContentAsCompoundValueBindingOption;
		package id NSInsertsNullPlaceholderBindingOption;
		package id NSInvokesSeparatelyWithArrayObjectsBindingOption;
		package id NSMultipleValuesPlaceholderBindingOption;
		package id NSNoSelectionPlaceholderBindingOption;
		package id NSNotApplicablePlaceholderBindingOption;
		package id NSNullPlaceholderBindingOption;
		package id NSRaisesForNotApplicableKeysBindingOption;
		package id NSPredicateFormatBindingOption;
		package id NSSelectorNameBindingOption;
		package id NSSelectsAllWhenSettingContentBindingOption;
		package id NSValidatesImmediatelyBindingOption;
		package id NSValueTransformerNameBindingOption;
		package id NSValueTransformerBindingOption;
	}
}

extern (C)
{
	package bool NSIsControllerMarker (id object);
}