/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Sep 24, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.quartzcore.CACIFilterAdditions;

import dstep.foundation.NSString;
import dstep.objc.bridge.Bridge;
import dstep.objc.objc;
import dstep.quartzcore.CABase;
import dstep.quartzcore.CIFilter;

const TCACIFilterAdditions = `

	NSString name ()
	{
		return invokeObjcMethod!(NSString, "name");
	}
	
	void name (NSString name)
	{
		return invokeObjcMethod!(void, "setName:", NSString)(name);
	}
	
	alias name setName;
	
	bool enabled ()
	{
		return invokeObjcMethod!(bool, "enabled");
	}
	
	void enabled (bool enabled)
	{
		return invokeObjcMethod!(void, "setEnabled:", bool)(enabled);
	}
	
	alias enabled setEnabled;
`;