/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.AuthorizationDB;

import dstep.corefoundation.CFBase;
import dstep.corefoundation.CFBundle;
import dstep.corefoundation.CFDictionary;
import dstep.security.Authorization;

extern (C)
{
	int AuthorizationRightGet (char* rightName, CFDictionaryRef* rightDefinition);
	int AuthorizationRightSet (AuthorizationRef authRef, char* rightName, CFTypeRef rightDefinition, CFStringRef descriptionKey, CFBundleRef bundle, CFStringRef localeTableName);
	int AuthorizationRightRemove (AuthorizationRef authRef, char* rightName);
}