/**
 * Copyright: Copyright (c) 2009 Jacob Carlborg.
 * Authors: Jacob Carlborg
 * Version: Initial created: Jul 22, 2009 
 * License: $(LINK2 http://www.boost.org/LICENSE_1_0.txt, Boost Software License 1.0)
 */
module dstep.security.SecPolicy;

import dstep.security.SecBase;
import dstep.security.cssmtype;

extern (C)
{
	uint SecPolicyGetTypeID ();
	int SecPolicyGetOID (SecPolicyRef policyRef, CSSM_OID* oid);
	int SecPolicyGetValue (SecPolicyRef policyRef, CSSM_DATA* value);
	int SecPolicySetValue (SecPolicyRef policyRef, CSSM_DATA* value);
	int SecPolicyGetTPHandle (SecPolicyRef policyRef, CSSM_TP_HANDLE* tpHandle);
}